> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2026 01 14T11:01:48Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `GET` /api/loyalty/rule\_edits

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `data` (object)

      > Data that was changed on the rule

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

    * Changed property `previousData` (object)

      > Previous data of the rule before the edit

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rule\_edits/{id}/restore

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (object)

    > Data that was changed on the rule

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

  * Changed property `previousData` (object)

    > Previous data of the rule before the edit

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `GET` /api/loyalty/rule\_groups

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    > Schema for a get loyalty rule groups response

    * Changed property `loyaltyGroupItems` (array)

      Changed items (object):

      * Changed property `loyaltyRule` (object)

        * Changed property `type` (string)

          Added enum value:

          * `robinhood_token_hold`
        * Changed property `metadata` (object)

          * Added property `robinhoodSymbols` (array)

            Items (string):

##### `GET` /api/loyalty/rules

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rules

###### Request:

Changed content type : `application/json`

* Changed property `type` (string)

  > Type of loyalty rule being created

  Added enum value:

  * `robinhood_token_hold`
* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Added property `robinhoodSymbols` (array)

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `type` (string)

    > Type of loyalty rule being created

    Added enum value:

    * `robinhood_token_hold`
  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Added property `robinhoodSymbols` (array)

##### `POST` /api/loyalty/rules/{id}

###### Request:

Changed content type : `application/json`

* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Added property `robinhoodSymbols` (array)

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Added property `robinhoodSymbols` (array)

#### Result

***

API changes broke backward compatibility
